VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::Resource::Model Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::Resource::Model:

## Avaliable Methods
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::Resource::Model` interface provides methods to retrieve information about models.

A structure is used as a model if it is used for persisting data about an entity. Some of the fields in the model structure are also used for creating indexes for querying.

One or more services can operate on the same resource type. One or more services can provide the model structure for an entity of this resource type. Using `Com::Vmware::Vapi::Metadata::Metamodel::Resource::Model` interface you can retrieve the list of all the structure elements that are model structures for a given resource type.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::Resource::Model::list | ( |  | ) |

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to `resource_id` .

The class Com::Vmware::Vapi::Metadata::Metamodel::Structure interface provides methods* to retrieve more details about the structure elements corresponding to the identifiers returned by this method .

Parameters

  resource_id | [REQUIRED] Identifier of the resource type. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.resource). . The value must be str.

Return values

  The | set of identifiers for the models that are associated with the resource type in `resource_id` . The value will be an identifier for the resource type getQualifiedName(com.vmware.vapi.structure). The return type will be Set of str

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the resource type associated with `resource_id` does not exist.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $resource_id = $args {resource_id};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Resource::Model::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/Resource/Model.pm